Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.bpm
Class Jbpm

    java.lang.Object
      org.jboss.seam.bpm.Jbpm

    @Scope(value=APPLICATION)
    @BypassInterceptors
    @Startup
    @Name(value="org.jboss.seam.bpm.jbpm")
    @Install(value=false,
             precedence=0)
    public class Jbpm

extends Object

A seam component that boostraps a JBPM SessionFactory

Author:
  Gavin King, Steve Ebersole, Norman Richards, Thomas Heute

Field Summary
`static org.jbpm.JbpmConfiguration` | `pageflowConfiguration`

Constructor Summary
`Jbpm()`

Method Summary
`static org.jbpm.JbpmContext` | `createPageflowContext()`
`boolean` | `deployPageflowDefinition(org.jbpm.graph.def.ProcessDefinition pageflowDefinition)` Dynamically deploy a page flow definition, if a pageflow with an identical name already exists, the pageflow is updated.
`org.jbpm.JbpmConfiguration` | `getJbpmConfiguration()`
`protected String` | `getJbpmConfigurationJndiName()`
`static org.jbpm.graph.def.ProcessDefinition` | `getPageflowDefinitionFromResource(String resourceName)`
`org.jbpm.graph.def.ProcessDefinition` | `getPageflowDefinitionFromXml(String pageflowDefinition)` Read a pageflow definition
`String[]` | `getPageflowDefinitions()`
`org.jbpm.graph.def.ProcessDefinition` | `getPageflowProcessDefinition(String pageflowName)`
`org.jbpm.graph.def.ProcessDefinition` | `getProcessDefinitionFromResource(String resourceName)`
`org.jbpm.graph.def.ProcessDefinition` | `getProcessDefinitionFromXml(String processDefinition)` Read a process definition
`String[]` | `getProcessDefinitions()`
`static Jbpm` | `instance()`
`boolean` | `isPageflowProcessDefinition(String pageflowName)`
`protected boolean` | `isProcessDeploymentEnabled()`
`static org.jbpm.graph.def.ProcessDefinition` | `parseInputSource(InputSource inputSource)`
`static org.jbpm.graph.def.ProcessDefinition` | `parseReaderSource(Reader reader)`
`protected void` | `setJbpmConfigurationJndiName(String jbpmConfigurationJndiName)`
`void` | `setPageflowDefinitions(String[] pageflowDefinitions)`
`void` | `setProcessDefinitions(String[] processDefinitions)`
`void` | `shutdown()`
`void` | `startup()`
`boolean` | `undeployPageflowDefinition(String pageflowName)` Remove a pageflow definition

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pageflowConfiguration

    public static org.jbpm.JbpmConfiguration pageflowConfiguration

Constructor Detail

### Jbpm

    public Jbpm()

Method Detail

### startup

    @Create
    public void startup()
                 throws Exception

  Throws:
    `Exception`

### shutdown

    @Destroy
    public void shutdown()

### getJbpmConfiguration

    public org.jbpm.JbpmConfiguration getJbpmConfiguration()

### getPageflowProcessDefinition

    public org.jbpm.graph.def.ProcessDefinition getPageflowProcessDefinition(String pageflowName)

### isPageflowProcessDefinition

    public boolean isPageflowProcessDefinition(String pageflowName)

### getPageflowDefinitionFromResource

    public static org.jbpm.graph.def.ProcessDefinition getPageflowDefinitionFromResource(String resourceName)

### getProcessDefinitionFromResource

    public org.jbpm.graph.def.ProcessDefinition getProcessDefinitionFromResource(String resourceName)

### getPageflowDefinitions

    public String[] getPageflowDefinitions()

### setPageflowDefinitions

    public void setPageflowDefinitions(String[] pageflowDefinitions)

### getProcessDefinitions

    public String[] getProcessDefinitions()

### setProcessDefinitions

    public void setProcessDefinitions(String[] processDefinitions)

### deployPageflowDefinition

    public boolean deployPageflowDefinition(org.jbpm.graph.def.ProcessDefinition pageflowDefinition)

  Dynamically deploy a page flow definition, if a pageflow with an identical name already exists, the pageflow is updated.

  Returns:
    true if the pageflow definition has been updated

### getPageflowDefinitionFromXml

    public org.jbpm.graph.def.ProcessDefinition getPageflowDefinitionFromXml(String pageflowDefinition)

  Read a pageflow definition

  Parameters:
    `pageflowDefinition` - the pageflow as an XML string

### getProcessDefinitionFromXml

    public org.jbpm.graph.def.ProcessDefinition getProcessDefinitionFromXml(String processDefinition)

  Read a process definition

  Parameters:
    `processDefinition` - the process as an XML string

### undeployPageflowDefinition

    public boolean undeployPageflowDefinition(String pageflowName)

  Remove a pageflow definition

  Parameters:
    `pageflowName` - Name of the pageflow to remove
  Returns:
    true if the pageflow definition has been removed

### isProcessDeploymentEnabled

    protected boolean isProcessDeploymentEnabled()

### instance

    public static Jbpm instance()

### getJbpmConfigurationJndiName

    protected String getJbpmConfigurationJndiName()

### setJbpmConfigurationJndiName

    protected void setJbpmConfigurationJndiName(String jbpmConfigurationJndiName)

### createPageflowContext

    public static org.jbpm.JbpmContext createPageflowContext()

### parseInputSource

    public static org.jbpm.graph.def.ProcessDefinition parseInputSource(InputSource inputSource)

### parseReaderSource

    public static org.jbpm.graph.def.ProcessDefinition parseReaderSource(Reader reader)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.